Name:           perl-Future-HTTP
Version:        0.16
Release:        1%{?dist}
Summary:        Future::HTTP Perl module
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            http://search.cpan.org/dist/Future-HTTP/
Source0:        http://www.cpan.org/authors/id/C/CO/CORION/Future-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(AnyEvent::Future)
BuildRequires:  perl(AnyEvent::HTTP)
BuildRequires:  perl(CGI)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Filter::signatures) >= 0.13
BuildRequires:  perl(Future) >= 0.31
BuildRequires:  perl(Future::Mojo)
BuildRequires:  perl(HTTP::Headers) >= 6.07
BuildRequires:  perl(HTTP::Request::AsCGI)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(HTTP::Tiny::Paranoid)
BuildRequires:  perl(IO::Async)
BuildRequires:  perl(IO::Uncompress::Bunzip2)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(MIME::QuotedPrint)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Mojolicious)
BuildRequires:  perl(Moo) >= 2
BuildRequires:  perl(Net::Async::HTTP)
BuildRequires:  perl(Test::HTTP::LocalServer)
BuildRequires:  perl(Test::More)

%description
Provide the most appropriate HTTP client with a Future API

%prep
%setup -q -n Future-HTTP-%{version}
%{!?_with_network_tests: rm t/01-http-tiny-paranoid.t }

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 0.16-1
- initial package
